---
title: Welcome to Encore
subtitle: Escape the maze of cloud complexity
---
Encore is the Backend Development Engine purpose-built for a flow state developer experience, when building cloud-based backend applications and distributed systems using Go.

<div className="grid grid-cols-2 gap-6 mobile:grid-cols-1">
    <a className="block group relative no-brandient" href="/docs/quick-start">
        <div className="absolute inset-0 bg-black dark:bg-white -z-10" />
            <div className="min-h-full border border-black dark:border-white p-8 mobile:p-4 bg-white dark:bg-black transition-transform duration-100 ease-in-out group-active:-translate-x-2 group-active:-translate-y-2 group-hover:-translate-x-2 group-hover:-translate-y-2">
                <h3>Quick Start</h3>
                <p>Spend a few minutes getting set up and experience the Encore workflow.</p>
            </div>
    </a>
    <a className="block group relative no-brandient" href="/docs/tutorials/rest-api">
        <div className="absolute inset-0 bg-black dark:bg-white -z-10" />
            <div className="min-h-full border border-black dark:border-white p-8 mobile:p-4 bg-white dark:bg-black transition-transform duration-100 ease-in-out group-active:-translate-x-2 group-active:-translate-y-2 group-hover:-translate-x-2 group-hover:-translate-y-2">
                <h3>REST API + Database tutorial</h3>
                <p>Learn how to build a fully fledged backend with Encore.</p>
            </div>
    </a>
     <a className="block group relative no-brandient" href="/docs/introduction">
        <div className="absolute inset-0 bg-black dark:bg-white -z-10" />
            <div className="min-h-full border border-black dark:border-white p-8 mobile:p-4 bg-white dark:bg-black transition-transform duration-100 ease-in-out group-active:-translate-x-2 group-active:-translate-y-2 group-hover:-translate-x-2 group-hover:-translate-y-2">
                <h3>Why Encore?</h3>
                <p>Learn about what problems Encore solves and the philosophy behind it.</p>
            </div>
    </a>
    <a className="block group relative no-brandient" href="/docs/community">
        <div className="absolute inset-0 bg-black dark:bg-white -z-10" />
            <div className="min-h-full border border-black dark:border-white p-8 mobile:p-4 bg-white dark:bg-black transition-transform duration-100 ease-in-out group-active:-translate-x-2 group-active:-translate-y-2 group-hover:-translate-x-2 group-hover:-translate-y-2">
                <h3>Join the community</h3>
                <p>See how you can engange with the developer community and contribute to the Open Source project.</p>
            </div>
    </a>
</div>

## Your input is everything

<p className="flex items-center gap-x-2 lead-xsmall">
     <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 16 16" fill="#111111" stroke="none">
      <path fillRule="evenodd"
            d="M8 0C3.58 0 0 3.58 0 8c0 3.54 2.29 6.53 5.47 7.59.4.07.55-.17.55-.38 0-.19-.01-.82-.01-1.49-2.01.37-2.53-.49-2.69-.94-.09-.23-.48-.94-.82-1.13-.28-.15-.68-.52-.01-.53.63-.01 1.08.58 1.23.82.72 1.21 1.87.87 2.33.66.07-.52.28-.87.51-1.07-1.78-.2-3.64-.89-3.64-3.95 0-.87.31-1.59.82-2.15-.08-.2-.36-1.02.08-2.12 0 0 .67-.21 2.2.82.64-.18 1.32-.27 2-.27.68 0 1.36.09 2 .27 1.53-1.04 2.2-.82 2.2-.82.44 1.1.16 1.92.08 2.12.51.56.82 1.27.82 2.15 0 3.07-1.87 3.75-3.65 3.95.29.25.54.73.54 1.48 0 1.07-.01 1.93-.01 2.2 0 .21.15.46.55.38A8.013 8.013 0 0016 8c0-4.42-3.58-8-8-8z" />
    </svg>
    <a href="https://github.com/encoredev/encore">Star on GitHub</a>
</p>

Get involved and star Encore on GitHub.

<p className="flex items-center gap-x-2 lead-xsmall">
    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 -1 104 106" fill="currentColor"><path d="M51.87,0C23.71,0,0,22.83,0,51c0,.91,0,52.81,0,52.81l51.86-.05c28.16,0,51-23.71,51-51.87S80,0,51.87,0Z" fill="currentColor"></path><path d="M52.37,19.74A31.62,31.62,0,0,0,24.58,66.41l-5.72,18.4L39.4,80.17a31.61,31.61,0,1,0,13-60.43Z" fill="#fff9ae"></path><path d="M77.45,32.12a31.6,31.6,0,0,1-38.05,48L18.86,84.82l20.91-2.47A31.6,31.6,0,0,0,77.45,32.12Z" fill="#00aeef"></path><path d="M71.63,26.29A31.6,31.6,0,0,1,38.8,78L18.86,84.82,39.4,80.17A31.6,31.6,0,0,0,71.63,26.29Z" fill="#00a94f"></path><path d="M26.47,67.11a31.61,31.61,0,0,1,51-35A31.61,31.61,0,0,0,24.58,66.41l-5.72,18.4Z" fill="#f15d22"></path><path d="M24.58,66.41A31.61,31.61,0,0,1,71.63,26.29a31.61,31.61,0,0,0-49,39.63l-3.76,18.9Z" fill="#e31b23"></path></svg>
    <a href="https://community.encore.dev">Join the Discourse community</a>
</p>

Find answers, ask questions, and learn from other backend developers.

<p className="flex items-center gap-x-2 lead-xsmall">
    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 123 123">
		<path fill="#111111" d="M25.8,77.7c0,7.1-5.8,12.9-12.9,12.9S0,84.8,0,77.7c0-7.1,5.8-12.9,12.9-12.9h12.9V77.7z"/>
		<path fill="#111111" d="M32.4,77.7c0-7.1,5.8-12.9,12.9-12.9s12.9,5.8,12.9,12.9v32.4c0,7.1-5.8,12.9-12.9,12.9s-12.9-5.8-12.9-12.9 C32.4,110.1,32.4,77.7,32.4,77.7z"/>
		<path fill="#111111" d="M45.3,25.8c-7.1,0-12.9-5.8-12.9-12.9S38.2,0,45.3,0s12.9,5.8,12.9,12.9v12.9H45.3z"/>
		<path fill="#111111" d="M45.3,32.4c7.1,0,12.9,5.8,12.9,12.9s-5.8,12.9-12.9,12.9H12.9C5.8,58.2,0,52.4,0,45.3s5.8-12.9,12.9-12.9 C12.9,32.4,45.3,32.4,45.3,32.4z"/>
		<path fill="#111111" d="M97.2,45.3c0-7.1,5.8-12.9,12.9-12.9c7.1,0,12.9,5.8,12.9,12.9s-5.8,12.9-12.9,12.9H97.2V45.3z"/>
		<path fill="#111111" d="M90.6,45.3c0,7.1-5.8,12.9-12.9,12.9c-7.1,0-12.9-5.8-12.9-12.9V12.9C64.8,5.8,70.6,0,77.7,0 c7.1,0,12.9,5.8,12.9,12.9V45.3z"/>
		<path fill="#111111" d="M77.7,97.2c7.1,0,12.9,5.8,12.9,12.9c0,7.1-5.8,12.9-12.9,12.9c-7.1,0-12.9-5.8-12.9-12.9V97.2H77.7z"/>
		<path fill="#111111" d="M77.7,90.6c-7.1,0-12.9-5.8-12.9-12.9c0-7.1,5.8-12.9,12.9-12.9h32.4c7.1,0,12.9,5.8,12.9,12.9 c0,7.1-5.8,12.9-12.9,12.9H77.7z"/>
    </svg>
    <a href="https://encore.dev/slack">Join Slack</a>
</p>

Connect with fellow Encore developers, ask questions or just hang out!

<p className="flex items-center gap-x-2 lead-xsmall">
    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="#111111" stroke="none">
        <path d="M23 3a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 3 4s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5a4.5 4.5 0 0 0-.08-.83A7.72 7.72 0 0 0 23 3z" />
    </svg>
    <a href="https://twitter.com/encoredotdev">Follow on Twitter</a>
</p>
<p className="pb-16">Keep up with the latest news and updates.</p>
